Delete a device alert rule
curl --request DELETE \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/device-alert-rules/{ruleId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/device-alert-rules/{ruleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/device-alert-rules/{ruleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/device-alert-rules/{ruleId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/device-alert-rules/{ruleId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/device-alert-rules/{ruleId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/device-alert-rules/{ruleId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyDevices
Delete a device alert rule
Delete a device alert rule by id.
DELETE
/
api
/
v1
/
organizations
/
{organizationId}
/
devices
/
device-alert-rules
/
{ruleId}
Delete a device alert rule
curl --request DELETE \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/device-alert-rules/{ruleId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/device-alert-rules/{ruleId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/device-alert-rules/{ruleId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/device-alert-rules/{ruleId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/device-alert-rules/{ruleId}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/device-alert-rules/{ruleId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/devices/device-alert-rules/{ruleId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body承認
For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina
レスポンス
Device alert rule deleted
このページは役に立ちましたか?

